* [ptxdist] [PATCH] create_docs: fix copy destination
@ 2017-01-03 16:01 Bastian Stender
0 siblings, 0 replies; only message in thread
From: Bastian Stender @ 2017-01-03 16:01 UTC (permalink / raw)
To: ptxdist; +Cc: Bastian Stender
Collecting files from doc/_static in a BSP lead to two nested _static
directories. This results in broken javascript and image links in the
html documentation.
Signed-off-by: Bastian Stender <bst@pengutronix.de>
---
bin/ptxdist | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/bin/ptxdist b/bin/ptxdist
index 59a39ef56..445cf7270 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1232,7 +1232,7 @@ create_docs() {
ptxd_in_path PTXDIST_PATH doc &&
for dir in "${ptxd_reply[@]}"; do
for entry in $(cd "${dir}"; ls); do
- cp -an "${dir}/${entry}" "${srcdir}/${entry}" || return
+ cp -an "${dir}/${entry}" "${srcdir}/" || return
done
done &&
sphinx-build -b "${builder}" -d "${outdir}/.doctrees" "${srcdir}" \
--
2.11.0
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2017-01-03 16:01 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-01-03 16:01 [ptxdist] [PATCH] create_docs: fix copy destination Bastian Stender
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox